Package org.eclipse.core.databinding.bind.steps

# Interface SetTwoWaySteps.SetTwoWayConvertFromStep<F,T>

Type Parameters:
  `F` - type of the from-end observable
  `T` - type of the to-end observable

All Superinterfaces:
  `CommonSteps.ConvertFromStep<F,T>`, `Step`

Enclosing class:
  SetTwoWaySteps

public static interface SetTwoWaySteps.SetTwoWayConvertFromStep<F,T> extends CommonSteps.ConvertFromStep<F,T>
Step for setting the to-from direction converter.

Restriction:

## Method Summary

Modifier and Type
Method
Description
`SetTwoWaySteps.SetTwoWayToStep<F,T>`
`convertFrom(IConverter<? super T,? extends F> converter)`
Sets the from-to direction converter on the resulting binding.

## Method Details

### convertFrom

SetTwoWaySteps.SetTwoWayToStep<F,T> convertFrom(IConverter<? super T,? extends F> converter)
Description copied from interface: `CommonSteps.ConvertFromStep`
Sets the from-to direction converter on the resulting binding. This defines the type of the to-end observable.

Specified by:
  `convertFrom` in interface `CommonSteps.ConvertFromStep<F,T>`
Parameters:
  `converter` - the converter to set
Returns:
  next step
See Also:
  - `UpdateValueStrategy.setConverter(org.eclipse.core.databinding.conversion.IConverter<? super S, ? extends D>)`